الانتقال إلى المحتوى الرئيسي
POST
/
projects
/
quote
Quote project creation
curl --request POST \
  --url https://api.youka.io/api/v1/projects/quote \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputFileId": "<string>",
  "durationSeconds": 123,
  "lyricsSource": {
    "type": "<string>"
  }
}
'
import requests

url = "https://api.youka.io/api/v1/projects/quote"

payload = {
"inputFileId": "<string>",
"durationSeconds": 123,
"lyricsSource": { "type": "<string>" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
inputFileId: '<string>',
durationSeconds: 123,
lyricsSource: {type: '<string>'}
})
};

fetch('https://api.youka.io/api/v1/projects/quote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "creditsRequired": 4503599627370495,
  "availableBalance": 4503599627370495,
  "sufficientBalance": true,
  "durationSeconds": 123,
  "breakdown": {
    "split": 4503599627370495,
    "sync": 4503599627370495
  }
}

التفويضات

Authorization
string
header
مطلوب

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

الجسم

application/json
splitModel
enum<string>
مطلوب
الخيارات المتاحة:
mdx23c,
audioshakeai,
audioshake_vocals_lead,
musicai_instrumental_only,
musicai_lead_backing_other,
musicai_with_backing_vocals,
musicai_without_backing_vocals,
uvr_mdxnet_kara_2,
bs_roformer,
mel_band_roformer_instrumental_becruily,
mel_band_roformer_instrumental_instv7_gabox,
demucs
inputFileId
string
durationSeconds
number
النطاق المطلوب: x <= 1200
lyricsSource
object

الاستجابة

200 - application/json

Project creation quote

creditsRequired
integer
مطلوب
النطاق المطلوب: 0 <= x <= 9007199254740991
availableBalance
integer
مطلوب
النطاق المطلوب: 0 <= x <= 9007199254740991
sufficientBalance
boolean
مطلوب
durationSeconds
number
مطلوب
breakdown
object
مطلوب